/*----------------FOOTER SECTION-----------------------------*/
.footer {
  position: relative;
}
@media (width <= 767px) {
  footer > .wp-block-group {
    padding-top: 40px !important;
    padding-bottom: 40px !important;
  }
}
@media screen and (max-width: 1024px) {
  .footer .top .left {
    border-right: 0 !important;
  }
}
.footer .top .right nav ul li a {
  transition: 0.35s ease-in-out;
}
.footer .top .right nav ul li a:hover {
  color: var(--wp--preset--color--dapo-blue);
}

.wp-block-template-part {
  margin-top: 0 !important;
  height: 80px !important;
  background-color: transparent !important;
}

.footer-copyright {
  font-size: 0.875rem !important;
}

/*---Subscribe form ends here-------------------*/
.footer-right .wpcf7 form {
  display: flex !important;
  align-items: center;
  justify-content: space-between !important;
  gap: 0 !important;
  background-color: var(--wp--preset--color--tsa-white);
  padding: 0rem 0.2rem;
  border-radius: var(--tsa-btn-border);
  border: 1px solid #cecaca;
  margin-top: 1rem;
}

.footer-right .wpcf7 form p {
  margin: 0 !important;
}

.footer-right .wpcf7 form p input:not([type="submit"]) {
  min-height: 50px;
  width: 100%;
  border: none;
}

.footer-right .wpcf7 form p input::placeholder {
  font-size: 1rem;
  font-family: var(--wp--preset--font-family--aceh) !important;
}

.footer-right .wpcf7 form p input:hover,
.footer-right .wpcf7 form p input:focus {
  outline: 0;
  outline: none;
}

/* Footer form */
.footer-right .wpcf7 form p input[type="submit"] {
  flex-basis: 30%;
  min-width: fit-content;
  border-radius: var(--tsa-btn-border);
  border: none;
  width: 132px;
  height: 48px;
  padding: 12px 9px;
  background-color: var(--wp--preset--color--tsa-blue);
  color: var(--wp--preset--color--tsa-white);
  font-size: 1rem;
  cursor: pointer;
}

@media (width <= 767px) {
  .footer-right .wpcf7 form p input[type="submit"] {
    border-radius: var(--tsa-btn-border);
    width: 90px;
    margin-left: 0.5rem;
  }
}

.footer-right .wpcf7 form p span.wpcf7-spinner {
  position: absolute !important;
  bottom: 0;
}

.footer-right .wpcf7 .wpcf7-form.invalid .wpcf7-response-output {
  display: none;
}
